;
; ------------------------------------------------------------
;
;   PureBasic - Basic Window Example 
;             - With minimize/maximize and close buttons
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

If OpenWindow(0, 100, 100, 300, 150, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "PureBasic Window")
; This is a very basic window that doesn't do anything
; but it shows how easy PureBasic works.
; It only has one gadget (control)... a text string to display the
; classic "Hello Windows"
;
; Compiled to an 'EXE' file, it is only 16,384 bytes! ...small by today's bloated standards.

  If CreateGadgetList(WindowID()) ; First we must allocate necessary resources
     TextGadget(1, 75, 55, 120, 20, "Hello World",#PB_Text_Center) ; The text is centered in the text gadget.  
  EndIf
  
  
  ;
  ; This is the 'event loop'. All the user actions are processed here.
  ; It's very easy to understand: when an action occurs, the EventID
  ; isn't 0 and we just have to see what have happened...
  ;

  Repeat
    EventID.l = WaitWindowEvent()

    If EventID = #PB_Event_CloseWindow  ; If the user has pressed on the close button
      Quit = 1
    EndIf

  Until Quit = 1
  
EndIf

End   ; All the opened windows are closed automatically by PureBasic
  
; ExecutableFormat=Windows
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Basic Window.exe
; DisableDebugger
; EOF