;
; ------------------------------------------------------------
;
;   PureBasic - Basic Window Example 
;             - With minimize/maximize and close buttons
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

If OpenWindow(0, 100, 100, 295, 260, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "Window with 2 Message Buttons")
  If CreateGadgetList(WindowID())
    ButtonGadget(1, 100, 80, 80, 30, "Push Me")
    ButtonGadget(2, 100, 150, 80, 30, "Don't Push Me")

  EndIf

  ;
  ; This is the 'event loop'. All the user actions are processed here.
  ; It's very easy to understand: when an action occurs, the EventID
  ; isn't 0 and we just have to see what have happened...
  ;

  Repeat
    EventID.l = WaitWindowEvent()
    
    If EventID = #PB_EventGadget  

      Select EventGadgetID()
      
        Case 1 ; Push Me button (Gadget #1)
         MessageRequester("Test", "That was gadget #1", 0)
         
        Case 2 ; Don't Push Me button (Gadget #2)
         MessageRequester("Test", "Don't do that again!!!", 0)         
         
      EndSelect
      
    EndIf
    
    If EventID = #PB_Event_CloseWindow  ; If the user has pressed on the close button at top of Window
      Quit = 1
    EndIf

  Until Quit = 1
  
EndIf

End   ; All the opened windows are closed automatically by PureBasic
  
; ExecutableFormat=Windows
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Message Buttons.exe
; DisableDebugger
; EOF