;
; ------------------------------------------------------------
;
;   PureBasic - Fonts example file
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

hWnd = OpenWindow(0, 200, 200, 320, 240, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MaximizeGadget, "Sample Font Window")
  If CreateGadgetList(hWnd)
      ; Because we won't be using the this text again in our program, 
      ; we can use the same 'Gadget ID' for all controls...
      ; If Windows can't find your font, it will use it's default fonts
      ;first line
      FontID.l = LoadFont(0, "Verdana", 12)
      hStringGadget = TextGadget(1, 10, 10, 200, 20, "Verdana 12")
      SetGadgetFont(1, FontID)

      ;second line
      FontID.l = LoadFont(1, "Verdana", 24)
      hStringGadget = TextGadget(2, 10, 30, 200, 40, "Verdana 24")
      SetGadgetFont(2, FontID)

      ;third line
      FontID.l = LoadFont(2, "Arial Bold", 14)
      hStringGadget = TextGadget(3, 10, 80, 200, 40, "Arial Bold 14")
      SetGadgetFont(3, FontID)
      
      ;forth line
      FontID.l = LoadFont(3, "Arial Black", 20)
      hStringGadget = TextGadget(4, 10, 110, 240, 40, "Arial Black 20")
      SetGadgetFont(4, FontID)
      
      ;fifth line
      FontID.l = LoadFont(4, "Courier New", 8)
      hStringGadget = TextGadget(5, 10, 170, 200, 20, "Courier New 8")
      SetGadgetFont(5, FontID)
           
      ;sixth line
      FontID.l = LoadFont(5, "MS Sans Serif", 12)
      hStringGadget = TextGadget(6, 10, 200, 240, 20, "MS Sans Serif 12")
      SetGadgetFont(6, FontID)

  EndIf
  
  ; Message Loop

  Repeat
    EventID.l = WaitWindowEvent()

    If EventID = #PB_Event_CloseWindow  ; If the user has pressed on the close button
      Quit = 1
    EndIf

  Until Quit = 1
End   ; All the opened windows are closed automatically by PureBasic
; ExecutableFormat=Windows
; CursorPosition=10
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Window Fonts Example.exe
; DisableDebugger
; EOF