;
; ------------------------------------------------------------
;
;   PureBasic - Basic Window Example 
;             - With minimize/maximize and close buttons
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;


If OpenWindow(0, 100, 100, 295, 260, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "Window with a Button")

  If CreateGadgetList(WindowID())
    ; Now create the button
      ButtonGadget(1, 200, 200, 80, 39, "Quit") 
  EndIf
  
  
  ;
  ; This is the 'event loop'. All the user actions are processed here.
  ; It's very easy to understand: when an action occurs, the EventID
  ; isn't 0 and we just have to see what have happened...
  ;
  Repeat
    EventID.l = WaitWindowEvent()
    
    If EventID = #PB_EventGadget  
      Select EventGadgetID()
          Case 1 ; Quit button (Gadget #1)
             Quit = 1
      EndSelect
    EndIf
    
    If EventID = #PB_Event_CloseWindow  ; If the user has pressed on the close button at top of Window
      Quit = 1
    EndIf

  Until Quit = 1
EndIf

End   ; All the opened windows are closed automatically by PureBasic
  
; ExecutableFormat=Windows
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Window With Button.exe
; DisableDebugger
; EOF