; ------------------------------------------------------------
;
; PureBasic Win32 API - Get System Time & Date - Example File
;
; by MrVainSCL! aka Thorsten   26/Nov/2002    PB v3.40+
;
; ------------------------------------------------------------
;
; -------- Win32 API Structure Sample --------
;
;   typedef struct _SYSTEMTIME   
;     WORD wYear
;     WORD wMonth 
;     WORD wDayOfWeek 
;     WORD wDay 
;     WORD wHour 
;     WORD wMinute 
;     WORD wSecond 
;     WORD wMilliseconds 
;   SYSTEMTIME; 
;
; ------------------------------------------------------------
;
    Info.SYSTEMTIME                           ; Init API Structure for _SYTEMTIME()
    GetLocalTime_(Info)                       ; Get acutal LOCAL Time by System
    ;
    ; -------- Get actual Date --------
    ;
    cday$       = Str((Info\wDay))
    cmonth$     = Str((Info\wMonth))
    cyear$      = Str((Info\wYear))
    cwday$      = Str((Info\wDayOfWeek))
    
    ;
    ; -------- Get Actual Time --------
    ; 
    chour$      = Str((Info\wHour)) 
    cminute$    = Str((Info\wMinute))
    csecond$    = Str((Info\wSecond))
    cmillisec$  = Str((Info\wMilliseconds)) 
    ;
    ; -------- Select cwday$ num to get correct weekday --------
    ;
    Select cwday$                           ; Same num handling like in Excel ;)
  
      Case "1" : cweekday$ = "Monday" 
      Case "2" : cweekday$ = "Thursday"
      Case "3" : cweekday$ = "Wednesday"
      Case "4" : cweekday$ = "Thursday"
      Case "5" : cweekday$ = "Friday"
      Case "6" : cweekday$ = "Saturday"
      Case "0" : cweekday$ = "Sunday"       
    EndSelect 
    ; -------- Select cwmonth$  to get correct month name --------
    ;
    Select cmonth$                           
      Case "1" : cmonthname$ = "Jan" 
      Case "2" : cmonthname$ = "Feb"
      Case "3" : cmonthname$ = "Mar"
      Case "4" : cmonthname$ = "Apr"
      Case "5" : cmonthname$ = "May"
      Case "6" : cmonthname$ = "Jun"
      Case "7" : cmonthname$ = "Jul"
      Case "8" : cmonthname$ = "Aug"
      Case "9" : cmonthname$ = "Sep"
      Case "10" : cmonthname$ = "Oct"
      Case "11" : cmonthname$ = "Nov"
      Case "12" : cmonthname$ = "Dec"

    EndSelect 

    ;
    ; -------- Write results into one string --------
    ;  
   
    actdate$ = cweekday$ + ", " + cmonthname$ + ". " + cday$ + ", " + cyear$ 

    acttime$ = chour$ + ":" + cminute$ + ":" + csecond$ + " and " + cmillisec$ + " millisconds"
    ;
    ; -------- Print the result to the user --------
    ;    
    MessageRequester("Actual Date:",actdate$,0)
    MessageRequester("Actual Time:",acttime$,0)
End
;
; ------------------------------------------------------------
; ExecutableFormat=Windows
; CursorPosition=24
; FirstLine=1
; DisableDebugger
; EOF