;
; ------------------------------------------------------------
;
;   PureBasic - Basic Window Example 
;             - With minimize/maximize and close buttons
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

If OpenWindow(0, 100, 100, 200, 150, #PB_Window_WindowCentered |#PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "Get String Values")

  If CreateGadgetList(WindowID())
    ButtonGadget(1, 130, 110, 40, 19, "Quit")
    ButtonGadget(2,  20, 110, 70, 19, "View Result")
    StringGadget(3, 20, 20, 150, 20, "Modify this default text...",#PB_String_Password)
;                                                                         ^
;                                                                         |
;          Note: password setting -----------------------------------------
  EndIf
  ;
  ; This is the 'event loop'. All the user actions are processed here.
  ; It's very easy to understand: when an action occurs, the EventID
  ; isn't 0 and we just have to see what have happened...
  ;
  Repeat
    EventID.l = WaitWindowEvent()
    
    If EventID = #PB_EventGadget  
      Select EventGadgetID()
      
          Case 1 ; Quit button (Gadget #1)
             Quit = 1
          Case 2 ; Result button (Gadget #2)
              MessageRequester("PB Samples", GetGadgetText(3), 0) ; message showing value in edit area.
             
      EndSelect
    EndIf
    
    If EventID = #PB_Event_CloseWindow  ; If the user has pressed on the close button at top of Window
      Quit = 1
    EndIf

  Until Quit = 1
EndIf

End   ; All the opened windows are closed automatically by PureBasic
  
; ExecutableFormat=Windows
; CursorPosition=19
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Data From TextGadgets.exe
; DisableDebugger
; EOF