;
; ------------------------------------------------------------
;
;   PureBasic - Basic Icons in a Window Example 
;             - With minimize/maximize and close buttons
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
; This program just 'simulates' the recycle bin activity.
; It's only purpose is to show how to show/hide images
; ------------------------------------------------------------
hWnd = OpenWindow(0, 100, 100, 240, 250, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "Icons in a Window")

    If CreateGadgetList(hWnd)
      ButtonGadget(1, 44,  86, 154, 25,"Clean The Recycle Bin")
      ButtonGadget(3, 44, 126, 154, 25,"Add Files To Recycle Bin")
      ButtonGadget(2, 70, 218, 90, 25,"Quit")
   
      ImageGadget(4,91,41 ,34,34, LoadImage(1, "1.ICO")) ;Kitty
      ImageGadget(5,91,41 ,34,34, LoadImage(2, "0.ICO")) ;Litterbox
    EndIf
 
;Set Images
Trigger.l = 0
HideGadget(4, 1)
HideGadget(5, 0)

;Message Loop
 Repeat
  Delay(1)
  EventID.l = WaitWindowEvent()

   Select EventID

     Case #PB_EventGadget                   ; gadget event happened

         Select EventGadgetID()             ; find out which gadget
         
               Case 1                       ; if Clean Button
                   
                    Select Trigger          ; Determine if Clean or Dirty
                       
                      Case 0                ; if Dirty 
                        HideGadget(4, 0)
                        HideGadget(5, 1)
                        DisableGadget(1, 1)
                        Trigger = 1
                    
                      Case 1                ; if Clean 
                        HideGadget(4, 0)  
                        HideGadget(5, 1)
                        Trigger = 0
                      
                     EndSelect             ; End trigger
 
                Case 2                      ; Quit button
                     EventID = #PB_EventCloseWindow
                     
                Case 3                      ; Add Files to Recycle bin    
                    DisableGadget(1, 0)
                    HideGadget(5, 0)
                    HideGadget(4, 1)
                    Trigger = 0
                  
          EndSelect
   EndSelect

 Until EventID = #PB_EventCloseWindow
; ----------------------------------------
End
; ExecutableFormat=Windows
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Display Images.exe
; DisableDebugger
; EOF