;
; ------------------------------------------------------------
;
;   PureBasic - Basic Window Example 
;             - With minimize/maximize and close buttons
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

If OpenWindow(0, 100, 100, 295, 260, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "Basic Listview")
  If CreateGadgetList(WindowID())
    ListViewGadget(1,  6,  10, 130, 190)
    ButtonGadget  (2, 60, 225,  40,  20, "Info")
        ; Add 10 items (actually 11 items) to the ListViewGadget
        For k=0 To 10
          AddGadgetItem(1, -1, "Number:"+Str(k))
        Next

  EndIf

  ;
  ; This is the 'event loop'. All the user actions are processed here.
  ; It's very easy to understand: when an action occurs, the EventID
  ; isn't 0 and we just have to see what have happened...
  ;

  Repeat
    EventID.l = WaitWindowEvent()
    
    If EventID = #PB_EventGadget  

      Select EventGadgetID()
      
        Case 1  ; events for the listbox (Gadget #1)
          If EventType() = #PB_EventType_LeftClick 
            MessageRequester("Listbox", GetGadgetText(1), 0) ; Get the current item from the ListView..
          EndIf
         
         
        Case 2 ; events for Info button (Gadget #2)
            
             MessageRequester("Listbox", "There are: " + Str(k) + " items in the list", 0) 
         
      EndSelect
      
    EndIf
    
    If EventID = #PB_Event_CloseWindow  ; If the user has pressed on the close button at top of Window
      Quit = 1
    EndIf

  Until Quit = 1
  
EndIf

End   ; All the opened windows are closed automatically by PureBasic
  
; ExecutableFormat=Windows
; FirstLine=1
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Listbox With Items.exe
; DisableDebugger
; EOF