;
; ------------------------------------------------------------
;
;   PureBasic - Basic Window Example 
;             - With menu and toolbar buttons
;
;
;    (c) 2002 - Franco's template - absolutely freeware
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

;Global hWnd.l ; Main window handle
hWnd = OpenWindow(0, 100, 100, 300, 350, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget, "PureBasic Window")
CreateGadgetList(hWnd)

CreateMenu(1, hWnd)
  MenuTitle("File")
  MenuItem(1,"New")
  MenuItem(2,"Open")
  MenuItem(3,"Save")

CreateToolBar(1, hWnd)
  ToolBarStandardButton(4,#PB_ToolBarIcon_New)
  ToolBarStandardButton(5,#PB_ToolBarIcon_Open)
  ToolBarStandardButton(6,#PB_ToolBarIcon_Save)

ButtonGadget(1, 10, 30, 100, 25,"Button 1")

ComboBoxGadget(2, 10, 120, 100, 250)
  AddGadgetItem(2, -1, "ComboBox Item 1") 
  AddGadgetItem(2, -1, "ComboBox Item 2") 
  AddGadgetItem(2, -1, "ComboBox Item 3") 
  AddGadgetItem(2, -1, "ComboBox Item 4")


;
; Event Message Handler
; ---------------------
Repeat
EventID = WaitWindowEvent()

  Select EventID
    ; Menu/ToolBarEvent
    Case #PB_EventMenu
        MessageRequester("Menu or Toolbar","Item #: "+Str(EventGadgetID()),0)

    ; GadgetsEvents
    Case #PB_EventGadget

      Select EventGadgetID()

        ; ButtonGadget
        Case 1
            Select EventType()
                Case #PB_EventType_LeftClick
                    MessageRequester("Gadget","Button",0)
                    
            EndSelect

        ; ComboBoxGadget
        Case 2
            Select EventType()
                Case #PB_EventType_RightClick
                    MessageRequester("Gadget","ComboBox",0)
            EndSelect

      EndSelect

  EndSelect

Until EventID = #PB_EventCloseWindow

End 
; ExecutableFormat=Windows
; FirstLine=1
; Executable=C:\PureBasic\Starter\Menu and Toolbar Example.exe
; DisableDebugger
; EOF