;
; ------------------------------------------------------------
;
;   PureBasic - Horizontal Scroll Bar example file
;
;    (c) 2002 - Fantaisie Software
;
; ------------------------------------------------------------
;

hWnd = OpenWindow(0, 200, 200, 320, 240, #PB_Window_WindowCentered | #PB_Window_SystemMenu | #PB_Window_MaximizeGadget, "A Trackbar Example Window")
  If CreateGadgetList(hWnd)
      ; Slider
        TrackBarGadget(1, 10, 168, 310, 25, 1, 100)

      ; Other controls
        ButtonGadget(2, 200, 210, 90, 25,"Quit")
        TextGadget(3, 10, 10, 220, 150, "Slide the Trackbar control")
   EndIf
  
;Message Loop
 Repeat

  EventID.l = WaitWindowEvent()
   Select EventID

     Case #PB_EventGadget                                    ; gadget event happened
         Select EventGadgetID()                              ; find out which gadget
          
               Case 1                                        ; if Trackbar Control (Scroll bar)
                     
                    Result.l = GetGadgetState(1)
                    FontID.l = LoadFont(1, "Arial", Result)                    
                    SetGadgetFont(3, FontID)
                    TextGadget(3, 10, 10, 220, 150, Str(Result))
                    
                Case 2                                       ; Quit button
                     EventID = #PB_EventCloseWindow
                     
                Default
                  
          EndSelect
   EndSelect
 
 Until EventID = #PB_EventCloseWindow
; ----------------------------------------
End
; ExecutableFormat=Windows
; CursorPosition=35
; FirstLine=4
; EnableAsm
; EnableNT4
; Executable=C:\PureBasic\Starter\Scroll Bars.exe
; DisableDebugger
; EOF