;**************************************
;Super Printer - DPI indepent print
;by Rui Carvalho - 2003
;
;Part of GIA - Lift Management Software
;Freeware by: ;rui-carvalho@bigfoot.com
;
;Original printer code by Fred
;**************************************

Declare ycm(x.f)
Declare xcm(x.f)

If PrintRequester()

    If StartPrinting("PureBasic Test")

        If StartDrawing(PrinterOutput())

              DrawingFont(LoadFont(0, "Arial", ycm(0.4)));4mm font size

              Locate(xcm(15), xcm(5.5)); locate at 15cm by 5,5cm
              DrawText("PureBasic Printer Test")

              DrawingFont(LoadFont(0, "Arial", ycm(1))); 1 cm font size

              Locate(xcm(10), ycm(20))
              DrawText("PureBasic Printer Test 2")

                If LoadImage(0, "PB.bmp"); The logo bitmap is bigger
                  ResizeImage(0, xcm(6), ycm(2)) ; resize image for 6cm by 2cm
                  DrawImage(ImageID(), xcm(1), ycm(1)); draw image at 1cm by 1cm
                Else
                  MessageRequester("", "2", 0)
                EndIf

              FrontColor(100, 100, 100)
              Box(xcm(2), ycm(6), xcm(6), ycm(8)); draw a 4cm by 4cm square

        StopDrawing()
        EndIf

    StopPrinting()
    EndIf
EndIf



;**** the trick !!!! ****

Procedure xcm(x.f)

result = x * (PrinterPageWidth()/21) ; 21cm A4
ProcedureReturn result

EndProcedure


Procedure ycm(x.f)

result = x * (PrinterPageWidth()/29.7) ; 29,7cm A4
ProcedureReturn result

EndProcedure


;Tested with fineprintpdf in multiple DPI's
;and on Xerox DC440 laser printer
; ExecutableFormat=
; FirstLine=1
; EnableAsm
; EnableNT4
; DisableDebugger
; EOF