; ---------------------------------------------
; List of Recent Files
;
; by Siegfried Rings (CodeGuru)
;
; ---------------------------------------------

Global Recentfilename.s

Recentfilename="MyRecentFiles.RFN" ;This holds the filename for the recentlist

NewList Files.s() ;Linked List to hold RecentFiles

#FF=99;Filepointer
#MenuRecentFiles=100;Start where Entrys are beginning in Menu

Procedure Recent(NewFilename.s)
  If FileSize(Recentfilename)>0 
   If OpenFile(#FF,Recentfilename)<>0
     ClearList(Files())
     If NewFilename<>""
      AddElement(Files())
      Files()=NewFilename        ;Set as first element
     EndIf
     While Eof(#FF)=0
      sDummy.s=ReadString()
      If sdummy<>NewFilename    ;is already here ?
       If CountList(Files())<10 ;we allow only 10 Files in the Recentlist
        If sdummy<>""           ;No NULL-STRING
         AddElement(Files())
         Files()=sDummy
        EndIf
       EndIf
      EndIf
     Wend
    CloseFile(#FF)
    ResetList(Files())
    If OpenFile(#FF,Recentfilename)<>0
     While NextElement(Files())  ;Process all the elements...
       WriteStringN(Files())
     Wend
     CloseFile(#FF)
    EndIf
   EndIf
  Else                            ;New one
   If NewFilename<>""
    If CreateFile(#FF,Recentfilename)>0
     WriteStringN(NewFilename)
     CloseFile(#FF)
    EndIf
    AddElement(Files())
    Files()=NewFilename
   EndIf
  EndIf 
EndProcedure

Procedure Makemenu()
 If CreateMenu(0, WindowID())
   MenuTitle("File")
    MenuItem( 1, "&Load...")
    MenuItem( 2, "Save")
    MenuItem( 3, "Save As...")

    MenuBar()

    ResetList(Files())
    While NextElement(Files())       ; Process all the elements...
     MenuItem( #MenuRecentFiles+ListIndex(Files()) , Files())
    Wend

    MenuBar()
    MenuItem( 7, "&Quit")

    MenuTitle("Edition")
      MenuItem( 8, "Cut")
      MenuItem( 9, "Copy")
      MenuItem(10, "Paste")
      
    MenuTitle("?")
     MenuItem(11, "About")

  EndIf

EndProcedure

If OpenWindow(0, 100, 150, 195, 260, #PB_Window_SystemMenu, "PureBasic - Menu")

  Recent("")                              ;Init the RecentFiles-list
  MakeMenu()                              ;And generate a menu for it
  Repeat

    Select WaitWindowEvent()

      Case #PB_EventMenu
        MenuID=EventMenuID()  
        If MenuID>#MenuRecentFiles And MenuID<#MenuRecentFiles+11
         SelectElement(Files(), MenuID-#MenuRecentFiles-1) 
         MessageRequester("About",Files(),0)
        Else
         Select   MenuID                    ; To see which menu has been selected
          Case 1
           NewFilename.s=OpenFileRequester("Choose file", "", " All Files (*.*=)|*.*", 1) 
           If NewFilename.s<>""
            Recent(NewFilename.s) ;Add To our list
            MakeMenu()                       ;Update the menu
           EndIf 
          Case 11                            ; About
            MessageRequester("About", "Cool Menu example", 0)
          Case 7
           Quit=1              
          Default
            MessageRequester("Info", "MenuItem: "+Str(EventMenuID()), 0)
        EndSelect
       EndIf
      Case #PB_EventCloseWindow
        Quit = 1
    EndSelect
  Until Quit = 1
EndIf
End
; ExecutableFormat=Windows
; FirstLine=1
; DisableDebugger
; EOF