;Tray Timer Program
; This small program shows you how to create a program that
; makes use of your computer's tray.
; Look for the small cat displayed on the task bar
; Author - Unknown
;================================================
Global TimerID

CreatePopupMenu(0)
  OpenSubMenu("Timer 1")
    MenuItem(1, "1 Minute")
    MenuItem(2, "2 Minutes")
    MenuItem(3, "3 Minutes")
    MenuItem(4, "4 Minutes")
    MenuItem(5, "5 Minutes")
    MenuItem(6, "10 Minutes")
    MenuItem(7, "20 Minutes")
    CloseSubMenu()
  OpenSubMenu("Timer 2")
    MenuItem(11, "1 Minute")
    MenuItem(12, "2 Minutes")
    MenuItem(13, "3 Minutes")
    MenuItem(14, "4 Minutes")
    MenuItem(15, "5 Minutes")
    MenuItem(16, "10 Minutes")
    MenuItem(17, "20 Minutes")
    CloseSubMenu()
  OpenSubMenu("Timer 3")
    MenuItem(21, "1 Minute")
    MenuItem(22, "2 Minutes")
    MenuItem(23, "3 Minutes")
    MenuItem(24, "4 Minutes")
    MenuItem(25, "5 Minutes")
    MenuItem(26, "10 Minutes")
    MenuItem(27, "20 Minutes")
    CloseSubMenu()
  MenuBar()  

  MenuItem(10, "Quit")

; now open a hidden window (I think I need this to set the taskbar icon)

OpenWindow(0, 10, 10, 10, 10, #PB_Window_Invisible, "Alarm Clock")
MessageRequester("Note","Program running. Check the bottom right corner of your screen.",0)

;assign a taskbar icon to the above hidden window.

  AddSysTrayIcon(1, WindowID(), LoadImage(0, "logo.ico"))
  
; and add a tool tip...

  SysTrayIconToolTip(1, "Alarm Clock - Right click to set alarm delay")
  
Procedure DisplayAlert1()
 MessageRequester("Alarm Time","Timer 1 is up :)" , #PB_MessageRequester_Ok)
 KillTimer_(WindowID(),1)   
EndProcedure

Procedure DisplayAlert2()
 MessageRequester("Alarm Time","Timer 2 is up :)" , #PB_MessageRequester_Ok)
 KillTimer_(WindowID(),2)   
EndProcedure

Procedure DisplayAlert3()
 MessageRequester("Alarm Time","Timer 3 is up :)" , #PB_MessageRequester_Ok)
 KillTimer_(WindowID(),3)   
EndProcedure

Repeat


; wait for the user to do something....
  
  Event=WaitWindowEvent()

; is the "event" over the system tray ?
    
    If Event = #PB_Event_SysTray
        Select EventType()
            Case #PB_EventType_RightClick ; was it a right mouse click ?
                DisplayPopupMenu(0, WindowID()) ; then display the popup menu
        EndSelect
    EndIf

; is the event choosing from a menu ?
   
  If Event = #PB_EventMenu
    Select EventMenuID()
      Case 1 ; Set Timer to 1 Minute
        Delay=1000 * 60
        TimerID=1
      Case 2 ; Set Timer to 2 Minutes
        Delay=2000 * 60
        TimerID=1
      Case 3 ; Set Timer to 3 minutes (etc...)
        Delay=3000 * 60
        TimerID=1
      Case 4
        Delay=4000 * 60
        TimerID=1
      Case 5
        Delay=5000 * 60
        TimerID=1
      Case 6
        Delay=10000 * 60
        TimerID=1
      Case 7
        Delay=20000 * 60
        TimerID=1
      Case 11 ; Set Timer to 1 Minute
        Delay=1000 * 60
        TimerID=2
      Case 12 ; Set Timer to 2 Minutes
        Delay=2000 * 60
        TimerID=2
      Case 13 ; Set Timer to 3 minutes (etc...)
        Delay=3000 * 60
        TimerID=2
      Case 14
        Delay=4000 * 60
        TimerID=2
      Case 15
        Delay=5000 * 60
        TimerID=2
      Case 16
        Delay=10000 * 60
        TimerID=2
      Case 17
        Delay=20000 * 60
        TimerID=2
      Case 21 ; Set Timer to 1 Minute
        Delay=1000 * 60
        TimerID=3
      Case 22 ; Set Timer to 2 Minutes
        Delay=2000 * 60
        TimerID=3
      Case 23 ; Set Timer to 3 minutes (etc...)
        Delay=3000 * 60
        TimerID=3
      Case 24
        Delay=4000 * 60
        TimerID=3
      Case 25
        Delay=5000 * 60
        TimerID=3
      Case 26
        Delay=10000 * 60
        TimerID=3
      Case 27
        Delay=20000 * 60
        TimerID=3
      Case 10 ; Quit
        Quit = 1
      EndSelect
  EndIf
  
    ; keep doing the above until user chooses a delay time or the quit option
    If Delay > 0
      Select TimerID
        Case 1
          SetTimer_(WindowID(), 1, Delay, @DisplayAlert1())
        Case 2
          SetTimer_(WindowID(), 2, Delay, @DisplayAlert2())
        Case 3
          SetTimer_(WindowID(), 3, Delay, @DisplayAlert3())
        EndSelect
      Delay=0  
    EndIf

Until  Quit = 1
End
; ExecutableFormat=Windows
; CursorPosition=43
; FirstLine=1
; DisableDebugger
; EOF